System.Web 2.0.0.0 System.Object

You can use the control to define a set of content templates that contain the content that is displayed to Web site users based on the role assigned by Web site administrators. The class is used by the control to associate a content template with a set of roles.

To dynamically assign a template to the role group, set the property to a reference to an object that implements the interface.

You must configure role management to use the class. For more information, see Understanding Role Management.

Associates a content template in a control with one or more roles defined for the Web site. This class cannot be inherited.

- Constructor

  Use this constructor to create a new instance of the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Boolean ``

  The method returns true if the specified user is a member of any of the roles associated with this role group. Roles are searched in the order they are listed in the property, and searching stops after the first match is found.

  This method uses the method to determine whether a user is a member of a role. You must configure role management to use the method. For more information, see Understanding ASP.NET Role Management.

  Indicates whether the specified user is a member of any of the roles in the role group.

  true if the user is a member of one of the roles associated with this role group; otherwise, false.

  The user name to look for in the role group. 2.0.0.0
- Property
  System.Web.UI.TemplateContainer(typeof(System.Web.UI.WebControls.LoginView))
  System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty)
  System.ComponentModel.DefaultValue(null)
  System.ComponentModel.Browsable(false)
  System.Web.UI.ITemplate To be added.

  The property contains the content that is displayed to users who are members of this role group.

  Gets or sets the content template associated with this role group.

  2.0.0.0
- Property
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.StringArrayConverter))
  System.String[] To be added. To be added.

  Gets or sets the roles associated with this role group.

  2.0.0.0
- Method
  System.String

  The method returns the contents of the property as a comma-separated list of roles associated with the role group.

  Returns a comma-separated list of the roles associated with this role group.

  A comma-separated list of the roles associated with this role group.

  2.0.0.0